s(content_type, body, arguments, files, headers=...): ...
def parse_multipart_form_data(boundary, data, arguments, files): ...
def format_timestamp(ts): ...

class RequestStartLine(NamedTuple):
    method: str
    path: str
    version: str

def parse_request_start_line(line): ...

class ResponseStartLine(NamedTuple):
    version: str
    code: str
    reason: str

def parse_response_start_line(line): ...
def doctests(): ...
def split_host_and_port(netloc): ...
PK